summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2009-09-13 20:44:11 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2009-09-13 20:44:11 +0000
commit10829742f491816e3630f5db16c2113bac0ab57b (patch)
treef25bf1ea877f1ef2d709e3bdb81ead6aecd6c6d1 /eclass/linux-info.eclass
parentVersion bump. (diff)
downloadgentoo-2-10829742f491816e3630f5db16c2113bac0ab57b.tar.gz
gentoo-2-10829742f491816e3630f5db16c2113bac0ab57b.tar.bz2
gentoo-2-10829742f491816e3630f5db16c2113bac0ab57b.zip
One backwards compatability fix while we are working on checking all ebuilds for the linux-info change.
Diffstat (limited to 'eclass/linux-info.eclass')
-rw-r--r--eclass/linux-info.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/linux-info.eclass b/eclass/linux-info.eclass
index e530f511710a..020178e426d9 100644
--- a/eclass/linux-info.eclass
+++ b/eclass/linux-info.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/linux-info.eclass,v 1.71 2009/09/08 12:34:21 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/linux-info.eclass,v 1.72 2009/09/13 20:44:11 robbat2 Exp $
#
# Original author: John Mylchreest <johnm@gentoo.org>
# Maintainer: kernel-misc@gentoo.org
@@ -638,11 +638,13 @@ check_extra_config() {
fi
done
+ # TODO: After we enable the new code for /proc/config.gz, we need to
+ # change this back to linux_config_exists.
if [[ ${config_required} == 0 ]]; then
# In the case where we don't require a .config, we can now bail out
# if the user has no .config as there is nothing to do. Otherwise
# code later will cause a failure due to missing .config.
- if ! linux_config_exists; then
+ if ! linux_config_src_exists; then
ewarn "Unable to check for the following kernel config options due"
ewarn "to absence of any configured kernel sources or compiled"
ewarn "config:"